
%define major         8
%define name          libfwbuilder
%define version       3.0.7
%define release       b1477
%define BUILD_VERSION 3.0.7


%if "%_vendor" == "MandrakeSoft"
%define libname  %name
%define libgroup System/Libraries
%define devgroup Development/Other
%else
%define libname  %name
%define libgroup System Environment/Libraries
%define devgroup Development/Libraries
%endif

Summary: 	Firewall Builder API
Name:           %{name}
Version:        %{version}
Release:        2.1
License: 	GPL2
Group:  	%{libgroup}
Url: 		http://www.fwbuilder.org/
Source: 	http://prdownloads.sourceforge.net/libfwbuilder/%{name}-%{version}.tar.bz2
Provides:	%{name}%{major}
Buildroot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2 libxml2-devel libxslt libxslt-devel openssl glibc-devel libgcc gcc gcc-c++ net-snmp net-snmp-devel openssl-devel
%if 0%{?suse_version}
BuildRequires: tcpd-devel qt-devel >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: tcp_wrappers qt4-devel >= 4.3
%endif

Docdir:   	/usr/share/doc

%description 
Firewall Builder 3.0 API library and compiler framework

%if "%{libname}" != "%{name}"
%package -n %libname
Summary: 	Firewall Builder 3.0 API
Provides: 	%name = %version
Group:  	%{libgroup}
%endif

%description -n %libname
Firewall Builder 3.0 API library and compiler framework

%files -n %libname
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/libfwbuilder-%version
%{_datadir}/libfwbuilder-%version/*
%{_libdir}/libfwbuilder.so.*
%{_libdir}/libfwcompiler.so.*




%package -n %{libname}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     %{devgroup}
Requires:  %{name} = %{version}
Provides:  %name-devel = %version-%release
Provides:  %{libname}%{major}-devel = %{version}

%description -n %{libname}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.


%files  -n %{libname}-devel
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
%{_bindir}/libfwbuilder-config-3
%dir %{_includedir}/fwb-3
%{_includedir}/fwb-3/fwbuilder
%{_includedir}/fwb-3/fwcompiler
%{_libdir}/*.so

%prep 

%setup

%build
%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
export PATH=$PATH:%{_libdir}/qt4/bin
%endif
%configure \
	%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
	--with-qtdir=%{_libdir}/qt4 \
	%endif
	--enable-auto-docdir \
	--libdir=%{_libdir} \
	--prefix=%{_prefix} || cat config.log
%__make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%__make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install
# prevent including docs twice
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Sep 22 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.7-b1477
- update to version 3.0.7
* Fri Aug 21 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.6-b1309
- update to version 3.0.6
* Wed Jun 17 2009 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.5
* Mon Mar 30 2009 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.4
* Tue Dec 09 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.3
* Tue Nov 25 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.2
* Tue Oct 02 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.1
* Tue Sep 02 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package
